<?php
namespace Geral\Util;
/**
 * Created by JetBrains PhpStorm.
 * User: jorgefonseca
 * Date: 04/04/12
 * Time: 16:42
 * To change this template use File | Settings | File Templates.
 */
use \Geral\Logic\Picture;
class PictureProduto extends Picture
{

    const PICTURE = 'CDPICTPROD';


    public function __construct() {
        $nrorg = \Geral\Util\Ambiente::getNrorg();
        parent::__construct($nrorg, $this::PICTURE);
    }

    public static function isProdutoNivelMaximo($cdproduto, $nrorg = null, $nivel = null) {
        if(empty($nrorg)) {
            $nrorg = \Geral\Util\Ambiente::getNrorg();
        }
        if(empty($nivel)) {
            $produto = \Geral\Entities\Produto::getRepository()->findOneBy(array("cdproduto" => $cdproduto, "nrorg" => $nrorg));
            if(!$produto instanceof \Geral\Entities\Produto) {
                throw new \Exception("Produto não encontrado.");
            }
            $nivel = $produto->getCdnvproduto();
        }
        return ($nivel == self::retornaNumeroMaximoDeNiveis());
    }

    public static function retornaNumeroMaximoDeNiveis() {
        $nrorg = \Geral\Util\Ambiente::getNrorg();
        $picture = new self($nrorg);
        return $picture->getNumeroDeNiveis();
    }

    /**
     * Mascara do produto.
     *
     * @return mixed
     */
    public static function mascaraProduto(){
        $pic = new self();
        return $pic->getMascara();
    }


}
